@font-face {
    font-family: CenturyGothic;
    src: url("../fonts/CenturyGothic-Regular.ttf") format("truetype");
}
@font-face {
    font-family: CenturyGothicBold;
    src: url("../fonts/CenturyGothic-Bold.ttf") format("truetype");
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    overflow: hidden;
}

body {
    font-family: CenturyGothic, 'Open Sans', sans-serif;
    background-color: #000000;
    color: #ffffff;
    overflow-x: hidden;
    --clr-red: #E50019;
    --clr-nav-text: #404040;
    --clr-section-title: rgba(255, 255, 255, 0.85);
}
main {
    position: relative;
}

.scroll-snap {
    scroll-snap-type: y mandatory;
    scroll-padding-top: 50px;
    scroll-behavior: smooth;
    height: 100vh;
    overflow-y: scroll;
}
.scroll-area {
    scroll-snap-align: start;
}

section {
    position: relative;
    display: flex;
    flex-direction: row-reverse;
    justify-content: flex-end;
    margin-left: -80px;
    padding-top: 50px;
}

.height {
    height: 100vh;
}

h1, h3 {
    font-family: CenturyGothicBold, 'Open Sans', sans-serif;
    text-transform: uppercase;
}
h1 {
    font-size: 75px;
}
h1 + p {
    font-size: 24px;
}

h2 {
    font-size: 55px;
    color: var(--clr-red);
}

h3 {
    font-size: 75px;
    color: var(--clr-section-title);
    margin-bottom: 115px;
}

p {
    font-size: 17px;
}

.fs-55 {
    font-size: 55px;
    line-height: 1;
}

.text-des {
    font-size: 17px;
}
.text-red {
    color: var(--clr-red);
}

.action p {
    font-family: CenturyGothicBold, 'Open Sans', sans-serif;
}
a.cta {
    font-family: CenturyGothicBold, 'Open Sans', sans-serif;
    color: var(--clr-red);
    border-color: var(--clr-red);
    width: 283px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    text-align: left;
}
a.cta:hover {
    border-color: var(--clr-red);
}

.bg-subtle {
    width: 100%;
    position: absolute;
    top: 650px;
    z-index: -5;
}

/* ----------------------- Header & Navigation --------------------------- */
header {
    background-color: var(--clr-red);
}
header .container {
    position: relative;
}
header a img {
    width: 100%;
    max-width: 250px;
}
header nav {
    height: 100vh;
    width: 100vw;
    background-color: #ffffff;
    position: fixed;
    top: 0;
    right: -200%;
    transform: skew(30deg);
    transition: right ease-in-out 0.3s;
    z-index: 2;
}
header nav ul {
    list-style: none;
    padding-top: 4rem;
}
header nav ul li {
    margin-top: 3rem;
    margin-left: 4rem;
    transform: skew(-30deg);
}
header nav ul li a {
    text-decoration: none;
    text-transform: uppercase;
    color: var(--clr-nav-text);
    font-family: 'Open Sans', sans-serif;
    font-weight: 700;
    font-size: 21px;
}
header nav ul li a:hover {
    color: var(--clr-red);
}
.nav-hamburger {
    position: fixed;
    top: 55px;
    cursor: pointer;
    transition: transform ease 0.3s;
    z-index: 10;
}
.nav-hamburger .line {
    display: block;
    width: 40px;
    height: 5px;
    margin: 5px;
    border-radius: 10px;
    background-color: #ffffff;
}
.nav-overlay {           /* slight black overlay on main site when view nav */
    position: fixed;
    top: 0; bottom: 0;
    right: 0; left: 0;
    background-color: rgb(0, 0, 0, 0.3);
    display: none;
    z-index: 1;
}

.to-black {           /* hamburger menu changes color on click */
    background-color: #000000!important;
}
.rotate {             /* hamburger menu rotates on click */
    transform: rotate(90deg);
}
.slideIn {            /* slide navigation in to screen from right to left */
    right: -65%;
}
.show {
    display: block;
}

/* ----------------------- Intro --------------------------- */
#intro {
    margin-top: 150px;
}
#intro .text-des {
    width: 40%;
}
#intro .height:last-child {
    padding-top: 20%;
}

.bar-container {
    width: 160px;
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    flex-shrink: 0;
    margin-top: 20px;
}
.bar {
    width: 3px;
    height: 60%;
    background-color: var(--clr-red);
    position: relative;
}
img.bullets {
    width: 17px;
    margin-bottom: 20px;
}
img.glow-shape {
	width: 378px;
	z-index: -1;
	position: absolute;
	left: -184px;
	bottom: 0;
	transform: translateY(60%);
}
img.diamond-big {
	position: absolute;
	top: -2%;
	right: -46%;
    z-index: -1;
}

/* ----------------------- Project Resources  --------------------------- */
img.zimble {
    width: 100%;
    max-width: 304px;
}
img.sapb1 {
    width: 100%;
    max-width: 274px;
}
img.vpn {
    width: 100%;
    max-width: 98px;
}
img.glow {
	max-width: 103px;
	position: absolute;
	bottom: 0;
	z-index: -1;
	left: -44px;
	transform: translateY(45%);
}
#project .bar {
    height: 68%;
}

/* ----------------------- Meeting --------------------------- */
#meeting .content {
    width: 60%;
}
#meeting .height:last-child {
    padding-top: 20%;
}
#meeting .bar {
    height: 68%;
}
#meeting .glow-shape {
    width: 215px;
    left: -104px;
    transform: translateY(52%);
}
img.club-big {
    position: absolute;
    top: -9%;
    right: -45%;
}

/* ----------------------- HR Portal --------------------------- */
#hr .content {
    width: 40%;
}
#hr .glow-shape {
    width: 280px;
    left: -141px;
    transform: translateY(55%);
}
img.heart-big {
    position: absolute;
    top: -35%;
    right: -55%;
}

/* ----------------------- Cloud Storage --------------------------- */
#cloud .content {
    width: 50%;
}
#cloud .bar {
    height: 60%;
}
img.cloud-big {
    position: absolute;
    top: -20%;
    right: -40%;
}

/* ----------------------- Whizzdom Academy --------------------------- */
#academy .content {
    width: 40%;
}
#academy .bar {
    height: 60%;
}
img.grad-cap-big {
    position: absolute;
    top: -20%;
    right: -40%;
}

/* ----------------------- Server --------------------------- */
#server .cta {
    width: auto;
    padding: 0.5rem 1rem;
    border-radius: 8px;
    display: inline-block;
    font-family: CenturyGothicBold, 'Open Sans', sans-serif;
    font-size: 20px;
    color: #ffffff;
    background-color: var(--clr-red);
    user-select: text;
    text-decoration: none;
}
#server .bar {
    height: 40%;
}


/* ----------------------- Form --------------------------- */
#form .content {
    width: 50%;
}
#form img.glow-shape {
    max-width: 253px;
    left: -130px;
    transform: translateY(55%);
}
#hr img.vpn,
#form img.vpn {
    position: absolute;
    top: 40px;
    right: 40%;
}
img.spade-big {
    position: absolute;
    top: -30%;
    right: -50%;
}

/* ----------------------- Footer --------------------------- */
footer {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 50px 0 50px 0;
}
.contact {
    width: 100%;
    display: grid;
    grid-template-columns: 20% 24% 18% 18% 20%;
    max-width: 92%;
    margin-bottom: 30px;
}
.office {
    width: 100%;
    display: grid;
    grid-template-columns: 20% 80%;
    max-width: 92%;
}
.contact--item, .office--item {
    display: flex;
    align-items: flex-end;
}
.contact--info {
    font-family: CenturyGothic, 'Open Sans', sans-serif;
    font-size: 1rem;
    line-height: 1;
    color: #ffffff;
    margin: 0;
    margin-left: 10px;
}
.contact--info a,
.contact--info span {
    font-family: CenturyGothicBold, 'Open Sans', sans-serif;
    color: #ffffff;
}
.contact--info p {
    margin: 0;
}


/* =========================== MEDIA QUERIES ========================== */
@media screen and (max-width: 1600px) {
    h1 {
        font-size: 55px;
    }
    h2 {
        font-size: 45px;
    }
    h3 {
        font-size: 55px;
        margin-bottom: 80px;
    }
    h1 + p {
        font-size: 18px;
    }
    p {
        font-size: 14px;
    }
    .text-des {
        font-size: 14px;
    }
    .fs-35 {
        font-size: 35px;
    }

    img[class*="big"] {
        max-width: 600px;
        top: 0;
        right: -30%;
    }
    img.vpn {
        max-width: 70px;
    }

    .bar-container {
        margin-top: 10px;
    }

    /* ------------- Header & Navigation ------------- */
    header a img {
        max-width: 220px;
    }
    header nav ul li a {
        font-size: 16px;
    }
    /* ------------- Intro --------------------------- */
    #intro .text-des {
        width: 60%;
    }
    
    /* ------------- Project ------------------------- */
    img.zimble {
        max-width: 200px;
    }
    img.sapb1 {
        max-width: 180px;
    }
    #project .bar {
        height: 50%;
    }

    /* ------------- Footer ------------------------- */
    .contact--info {
        font-size: 12px;
    }
}

@media screen and (max-width: 1200px) {
    .scroll-snap {
        scroll-snap-type: none;
        scroll-padding-top: 0;
    }

    .height {
        height: 60vh;
    }
    /* img[class*="glow"] {
        transform: translateY(-100px);
    } */
}

@media screen and (max-width: 992px) {
    .height {
        height: 80vh;
    }
    #intro .height {
        height: 50vh;
    }
    #project.height {
        height: 100vh;
    }
    #meeting .height {
        height: 70vh;
    }
    #hr img.vpn {
        right: 25%;
    }

    a.cta {
        width: 199px;
    }
    .cta-big {
        width: 283px!important;
    }

    img[class*="big"] {
        display: none;
    }

    #hr .content,
    #academy .content {
        width: 60%;
    }

    /* ------------- Footer ------------- */
    .contact {
        grid-template-columns: 1fr 1fr;
        /* grid-template-rows: 1fr 1fr 1fr 1fr 1fr; */
        margin: 0;
    }
    .office {
        grid-template-columns: none;
        grid-template-rows: auto auto;
    }
    .contact--item, .office--item {
        align-items: center;
        margin-bottom: 20px;
    }
    .contact--info {
        font-size: 0.75rem;
        line-height: 1rem;
    }
}

@media screen and (max-width: 768px) {
    .mob-break {
        display: none;
    }

    #intro .height {
        height: 60vh;
    }

    #form img.vpn {
        right: 15%;
    }
}

@media screen and (max-width: 576px) {
    h1 {
        font-size: 35px;
    }
    h2 {
        font-size: 25px;
    }
    h3 {
        font-size: 30px;
    }
    section {
        margin-bottom: 45px;
        margin-left: -40px;
    }
    .height {
        height: auto!important;
    }
    section .height:nth-child(1) {
        margin-bottom: 100px;
    }
    #intro {
        margin-top: 50px;
    }
    .container {
        width: 90%;
    }
    .content {
        width: 80% !important;
    }
    
    /* Whizzdom logo */
    header a img {
        max-width: 200px;
    }
    /* Navigation */
    header {
        padding-top: 1.5rem;
    }
    header nav {
        transform: skew(0);
        height: 60vh;
    }
    header nav ul {
        padding-top: 2rem;
    }
    header nav ul li {
        transform: skew(0);
        margin-top: 1.2rem;
    }
    .slideIn {
        right: 0;
    }

    #intro .text-des {
        width: 80%;
    }

    .bar-container {
        width: 80px;
    }
    .bar {
        height: 100%!important;
    }
    img.bullets {
        width: 10px;
    }
    img.glow-shape {
        width: 80px!important;
        left: -38px!important;
    }
    #hr .glow-shape {
        left: -40px!important;
    }
    #hr img.vpn {
        right: 5%;
    }
    #form img.glow-shape {
        left: -40px!important;
    }

    a.cta {
        font-size: 12px;
        width: 100%!important;
    }
    #server .cta {
        width: auto!important;
    }
    #server .cta:first-child {
        margin-bottom: 10px;
    }
    img.vpn {
        max-width: 50px;
    }

    /* Footer */
    .contact {
        grid-template-columns: 1fr;
    }
}

/*  for mobile users switch to landscape mode */
@media screen and (max-width: 1024px) and (max-height: 480px) {
    section,
    section .height {
        height: auto !important;
    }

    h1 {
        font-size: 35px;
    }
    h2 {
        font-size: 25px;
    }
    h3 {
        font-size: 30px;
    }
    section {
        margin-bottom: 45px;
        margin-left: -40px;
    }
    .height {
        height: auto!important;
    }
    section .height:nth-child(1) {
        margin-bottom: 100px;
    }
    #intro {
        margin-top: 50px;
    }
    .container {
        width: 90%;
    }
    .content {
        width: 80% !important;
    }
    
    /* Whizzdom logo */
    header a img {
        max-width: 200px;
    }
    /* Navigation */
    header {
        padding-top: 1.5rem;
    }
    header nav {
        transform: skew(0);
        height: 60vh;
    }
    header nav ul {
        padding-top: 1rem;
        padding-left: 0;
        display: grid;
        grid-template-columns: repeat(2, minmax(auto, 320px));
    }
    header nav ul li {
        transform: skew(0);
        margin-top: 1.2rem;
    }
    .slideIn {
        right: 0;
    }
}
